<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="<%=strLevel_SESSION%>/share/js/operatorWin.js"></script>
<style type="text/css">
.div{
	position: absolute;
	z-index: 1;
	display:none;
	background-color: #cccccc;
	border: 0px;
	border-color: black;
	border-style: solid;
}
td{
	word-break : break-all; 
}
</style>
</head>

<%
    int iFormID = SzConvert.toInt(request.getParameter("FormID"));
    //取得表单的信息
    String moduleName = "";
    String formName = "";
		//根据表单取得moduleName, formName
		LcForm lcForm = new LcForm();
		LcFormInfo lcFormInfo = null;    
    if (iFormID == 0) {
    	moduleName = SzConvert.toSpaceStr(request.getParameter("moduleName"));
    	formName = SzConvert.toSpaceStr(request.getParameter("formName")); 
    	//
    	iFormID = lcForm.getKeyByCond(moduleName, formName); 
    } else {
    	lcFormInfo = (LcFormInfo)lcForm.getInfoByKey(iFormID);    
    	if (lcFormInfo != null) {
    		moduleName = lcFormInfo.getBDLJ();
    		formName = lcFormInfo.getBDBY1();  
    	}
    }
    //System.out.println("moduleName=" + moduleName);
    //System.out.println("formName=" + formName);
    if (moduleName.equals("") || formName.equals("")) {
    	out.println("还没有设置相关表单信息！");
    	return;
    }

    //找出关联的信息
    BdRelateForm bdRelateForm = new BdRelateForm();
    ArrayList listRelate = bdRelateForm.getRelateList(moduleName, formName);
    Iterator iterRelate = null;
    BdRelateFormInfo bdRelateFormInfo = null;

	BdValueControl bdValueControl = new BdValueControl(moduleName, formName);
    //int iIndexLogin = bdValueControl.getIndexLogin();
    //System.out.println(iIndexLogin);
  String assistant = bdValueControl.getAssistant();  

  String sKeyField = bdValueControl.getKeyField();
	boolean hasFlow = bdValueControl.getHasFlow();
	String allograph = bdValueControl.getAllograph(); //是否有代录人
	String printTemp = bdValueControl.getPrintTemp();
	String sWeboffice = bdValueControl.getWebOffice();
	int iFlowID = 0;

	String selectName = bdValueControl.getSelectName(); //是否有关联选择
	BdReadSelectXML3 readSelectXML3 = new BdReadSelectXML3();
	BdSelectTableInfo3 tableInfo = null;
	String selectValue = "";
	String selectField = "";
	if (!selectName.equals("")) {
		selectValue = SzConvert.strWriteData(request.getParameter("selectName"));
		//if (!selectValue.equals("")) {
			//读取字段			
			tableInfo = (BdSelectTableInfo3)readSelectXML3.getTableInfoFromXML(selectName);
		    if (tableInfo != null) {
		    	selectField = tableInfo.getRelateObject();
		    }
		//}
	}
    /////////////////////////////////////////流程相关
    LcFlowControl lcFlowControl = new LcFlowControl();
    //根据信息ID，获取流程总体办理状态FlowState
    String sState = "";
    //sState = lcFlowControl.getFlowStateName(iFormID, iInfoID); 
    //判断是否能删除、修改
    boolean hasSend = false; //是否已经发送出去
    //hasSend = lcFlowControl.hasSend(iFormID, iInfoID);
    //获取提交的参数
    String flowType = SzConvert.toSpaceStr(request.getParameter("flowType"));
		if (flowType.equals("")) {
			flowType = "-2";
		}	    
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.toHTMLString(SzConvert.strWriteDataHTML(request.getParameter("txtSearch"))) ;
    String sSearch2 = SzConvert.strWriteData(request.getParameter("txtSearch"));    
    String sSearchName = SzConvert.strWriteData(request.getParameter("txtSearchName"));

    String sTable_type = "";
    //读取数据
    String sSearchCond = SzConvert.strWriteDataHTML(request.getParameter("searchCond"));
    //System.out.println(selectValue + "==" + selectField);

    String sCond = bdValueControl.getCond(iFormID, iDLID_SESSION, iBMID_SESSION
    		, isBarManager_SESSION, sSearchCond, isDataCanSee_SESSION
    		, szCOMPANY_SESSION, selectField, selectValue, flowType);
	/*
    sCond += " AND SZOA_BDGSID=" + szCOMPANY_SESSION;
	if (!selectValue.equals("") && !selectField.equals("")) {
		sCond += " AND " + selectField + "='" + selectValue + "'";
	}
	*/

    String sSortField = SzConvert.toSpaceStr(request.getParameter("txtSortField")); 
    int iSortOrder    = Integer.parseInt(SzConvert.toZeroStr(request.getParameter("txtSortOrder"))); 
    if (sSortField.equals("")) { 
      sSortField = bdValueControl.getKeyField();
      iSortOrder = SzProperties.I_SortOrder_DESC;
    } 

    int iCurrentPage = 1;
    
    try {
        iCurrentPage =  Integer.parseInt(sPage);
    }catch(Exception e) {
    }
       
    Collection coll = bdValueControl.getArrayList(sCond, sSortField, iSortOrder, iCurrentPage, sSearch2); 
    BdFormControl bdFormControl = new BdFormControl(); 
    Iterator iter = null;
    if (coll != null) {
    	iter = coll.iterator();
    } else {
    	out.println(bdFormControl.getFormCheckInfo(iFormID));
    	return;
    }
    SzPageInfo pageInfo = bdValueControl.getPageInfo();
    int iPageCount = pageInfo.getPageCount();
    int iRecordCount = pageInfo.getRecordCount();
    iCurrentPage = pageInfo.getCurrentPage();
    int i = 0;
    SzData szData = null;     
    

    
    //2010-2-21
    BdPopedom bdPopedom = new BdPopedom();        
    String strDenyField = bdPopedom.getDenyField(iFormID, 0, iDLID_SESSION);
    
    boolean bPress = false;
		if ((";" + assistant + ";").indexOf(";6;") >=0) {
			bPress = true;
		}    
  	boolean bSkip = false;
		if ((";" + assistant + ";").indexOf(";7;") >=0) {
			bSkip = true;
		}  	    
%>
<!-----上面的工具栏------>
<%@ include file="/share/title.jsp"%>
<table width="100%">
  <form name="formBar" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="txtSortField" value="<%=sSortField%>"> 
  <input type="hidden" name="txtSortOrder" value="<%=iSortOrder%>"> 
  <input type="hidden" name="searchCond" value="<%=sSearchCond%>">
  <input type="hidden" name="sCond" value="<%=sCond%>">
  <input type="hidden" name="FormID" value="<%=iFormID%>"> 
  <tr>
    <td>
    	<% out.println(bdFormControl.printFormDesc(Integer.parseInt(sMKID_SESSION),iFormID));%>
      <%//=SzPageHelp.addButtonSubmit()%>
      <%//=SzPageHelp.deleteButton()%>      
      <%=bdFormControl.addButton(moduleName, formName, isBarManager_SESSION)%>
      <%=bdFormControl.deleteButton(moduleName, formName, isBarManager_SESSION)%>

      <% if (bdValueControl.getHasExport() == true) { %>
      <input type="button" class="btnClass" value="导到excel" OnClick="javascript:FormSubmit(formBar, 'control.jsp?OPERATOR=export');">
      <% } %> 
      <% if (bdValueControl.getHasExport2() == true && isBarManager_SESSION == true) { %>
      <input type="button" class="btnClass" value="管理员导出" OnClick="javascript:FormSubmit(formBar, 'control.jsp?OPERATOR=export2');">
      <% } %>   
      <% if (bdValueControl.getHasImport() == true) { %>      
      <input type="button" class="btnClass" value="excel导入" OnClick="javascript:ExcelImportWin('<%=moduleName %>','<%=formName %>');">
      <% } %>    
      <%//=SzPageHelp.button("综合查询","javascript:FormSubmit(formBar, 'search.jsp');") %>
      <%=bdFormControl.searchButton(iFormID, "综合查询", isBarManager_SESSION) %>
      <% out.println(SzPageHelp.indexerButton("form", Integer.toString(iFormID), isBarManager_SESSION, assistant)); %>             
      <%=bdFormControl.statButton(moduleName, formName, isBarManager_SESSION, "图表统计", "stat.jsp", false, assistant) %>       
	    <%=bdPopedom.setPopedomButton(iFormID, isBarManager_SESSION, assistant) %>
	    <%=bdPopedom.listPopedomButton(iFormID, isBarManager_SESSION, assistant) %>
	    <%=bdPopedom.setTransferButton(iFormID, isBarManager_SESSION, assistant) %>       
	    <%
      if (isBarManager_SESSION) {
     	 out.println( SzPageHelp.button("操作日志","javascript:LogWin();") );
      } 
	    %>
      <%=readSelectXML3.selectButton(tableInfo, "selectName", "txtClass1", selectValue) %>   
      <%
      if (hasFlow) {
      	String s_id[] = {"-2","-1","0","1","2"};
      	String s_name[] = {"全部","草稿","办理中","否决","办结"};
      	out.println(SzPageHelp.radioSubmit("flowType", s_id, s_name, flowType));
      }

      %>                    
    </td>
  </tr>
  </form>
</table>
<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <input type="hidden" name="page" value="<%=iCurrentPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="txtSortField" value="<%=sSortField%>"> 
  <input type="hidden" name="txtSortOrder" value="<%=iSortOrder%>"> 
  <input type="hidden" name="FormID" value="<%=iFormID%>">   
  <tr class="trClassTitle">
    <td width="5"><input type="checkbox" name="chkCheckAll" OnClick="javascript:CheckAll(formList, chkCheckAll, 'chkId');"></td>
    <% if (allograph.equals("1")) { %>
    <td>所属人员</td>
    <% } %>    
	<%=bdValueControl.printTableTitle(sSortField, iSortOrder)%>    
	<% 
		if (hasFlow) { 
			if (flowType.equals("0")) {
				out.println("<td>当前办理人员</td>");
				out.println("<td>剩余时间</td>");
				if (bPress) {
					out.println("<td>被催办</td>");
				}
			} else if (flowType.equals("2")) {
				out.println("<td>办结时间</td>");
				out.println("<td>是否超时</td>");				
			}
			out.println("<td>总状态</td>"); 
		}	
	%>     	
    <td>操作</td>
  </tr>
  
<%
    String value_str[] = null;
    int iKeyValue = 0;
    int iIndexKey = bdValueControl.getIndexKey();

    if (iIndexKey == -1) {
    	iIndexKey = 0;
    }
    int iListFieldLen = 0;
	
		if (hasFlow) {
    	iListFieldLen = 3 + bdValueControl.getListFieldLen() ;
    	if (flowType.equals("0")) {
    		iListFieldLen = iListFieldLen + 2;
				if (bPress) {
					iListFieldLen ++;
				}				
    	} else if (flowType.equals("2")) {
    		iListFieldLen += 2;
    	}
    } else {
    	iListFieldLen = 2 + bdValueControl.getListFieldLen() ;
    }
    if (allograph.equals("1")) {
    	iListFieldLen ++;
    }
    boolean sameLogin = false;
    boolean sameDepart = false;
    //2011-06-08 部门负责人可修改部门内人员的数据
    boolean departManager = false;	//判断本人是否该数据的部门负责人。
    String managerDepartID = SzUserHelp.getInstance().getManageDepartID(iDLID_SESSION);
		//=======================================
    
    //归档状态
    LcPigonhole pigonhole = new LcPigonhole();
    boolean hasPigonhole = false;
    int iState = 0;   
    
    String sRelateInfo = "";
    String loginName2 = "";
    
    boolean canUpdate = false;
    
    String strDenyField2 = "";
    boolean readonly = false;
    String s_transact[] = null;
    String sPressCount = "";
 
    LcAssistant lcAssistant = new LcAssistant();
    LcStep lcStep = new LcStep();
  
    while (iter != null && iter.hasNext()) {
    	value_str = (String[])iter.next();
    	iKeyValue = SzConvert.toInt(value_str[iIndexKey]);
    	if (value_str == null) {
    		continue;
    	}
    	strDenyField2 = bdPopedom.getDenyField(iFormID, iKeyValue, iDLID_SESSION);
        hasSend = lcFlowControl.hasSend(iFormID, iKeyValue); 
        iState = lcFlowControl.getFlowState(iFormID, iKeyValue);        
        iFlowID = lcFlowControl.getFlowID(iFormID, iKeyValue);
        i++;
        
        sameLogin = bdValueControl.sameLogin(iDLID_SESSION, value_str);        
        sameDepart = bdValueControl.sameDepart(iBMID_SESSION, value_str); 
  	
        loginName2 = bdValueControl.getLoginName2(value_str);
        //2011-06-08 部门负责人可修改部门内人员的数据
        //canUpdate = bdFormControl.canUpdate(moduleName, formName, isBarManager_SESSION, hasSend, sType, iKeyValue, sameLogin, sameDepart);
        departManager = bdValueControl.departManager(managerDepartID, value_str);
        canUpdate = bdFormControl.canUpdate(moduleName, formName, isBarManager_SESSION, hasSend, sType, iKeyValue, sameLogin, sameDepart, departManager);
        //=================================================	
        if ( !sRelateInfo.equals("") && canUpdate) {
        	canUpdate = bdRelateForm.canUpdate(iFormID, iKeyValue); 
        }
        
        if ((hasFlow && hasSend) || !canUpdate) {        
        	readonly = true;
        } else {
        	readonly = false;
        }
        sRelateInfo = bdRelateForm.relateButton(iFormID, listRelate, iKeyValue, readonly, true);
        
%>
  <tr  onMouseOver="javascript:this.className='trMouseOver'" 
       onMouseOut="javascript:this.className='trMouseOut'"
       onDblClick="javascript:showOperatorWin('div','<%=i %>',85)"       
       >
    <td width="5" title="<%=i%>">
      <% if (readonly) {%> 
      <input type="checkbox" disabled>
      <% } else { %>
      <input type="checkbox" name="chkId" id="chkId" value="<%=iKeyValue%>">	  
      <% } %>    
    </td>
    <% if (allograph.equals("1")) { %>
    <td><%=loginName2%>&nbsp;</td>
    <% } %>
    <%=bdValueControl.printTableValue(value_str, strDenyField, strDenyField2, 0, sType, iKeyValue)%>
	<% 
	   if (hasFlow) { 
			if (flowType.equals("0")) {
				s_transact = lcFlowControl.getCurrentTransactingInfo(iFormID, iKeyValue, "<br>", true);
				sPressCount = Integer.toString(lcAssistant.getPressCount(iFormID, iKeyValue, SzConvert.toInt(s_transact[3])))
				            + "次/总"
				            + Integer.toString(lcAssistant.getPressCount(iFormID, iKeyValue, 0))
				            + "次";
				out.println("<td>" + s_transact[0] + "</td>");
				out.println("<td>" + s_transact[1] + "</td>");
				if (bPress) {
				out.println("<td>" + sPressCount + "</td>");
				}
			} else if (flowType.equals("2")) {
				s_transact = lcFlowControl.getFinishInfo(iFormID, iKeyValue);
				out.println("<td>" + s_transact[0] + "</td>");
				out.println("<td>" + s_transact[1] + "</td>");				
			}
			out.println("<td>" + lcFlowControl.getFlowStateName(iFormID, iKeyValue) + "&nbsp;</td>"); 
	   } 
	%>   
    <td>   
      <a class="aHrefClass" onclick="showOperatorWin('div','<%=i %>',85)" >操作</a>
      <div id="div<%=i %>" class="div" style="left: 10px;top: 200px;width: 70px;">
      	<div style="padding-top:5px;padding-bottom:5px;position:relative; background-color:#cccccc;border: 0px;">
 		<div  class="Operation">    
      <a href="javascript:FormSubmit(formPage,'update.jsp?OPERATOR=detail&type=<%=sType%>&KEY=<%=iKeyValue%>');">详情</a><br>
      <!-- 自己的留言可以修改 -->      
      <% 
	//2012-09-14增加判断
	if (!isBarManager_SESSION && iFormID==1403 && value_str != null && !value_str[27].equals("")) {

	} else {
      if (canUpdate) {
      	out.println(bdFormControl.updateButton(canUpdate, sType, iKeyValue));
      	//out.println("<br>");
      }
	}
      %>
      <% 
      	if (iState == 0) {
      		 if (bPress) {
    	%>
      <a href="#" OnClick="javascript:OpenPressWin(<%=iFormID%>,<%=iKeyValue%>,'0');">催办</a><br>
      <%
      		}
      		if (bSkip) { 
      %>
      <a href="#" OnClick="javascript:OpenPressWin(<%=iFormID%>,<%=iKeyValue%>,'1');">跳转</a><br>
			<% 
      		}
				} 
			%>
      <% if (iState == 2) { %>
      <a href="#" OnClick="javascript:OpenPigonholeWin(<%=iFormID%>,<%=iKeyValue%>);">归档</a><br>
      <% } %> 
      <%= bdPopedom.setPopedomButton2(iFormID, isBarManager_SESSION, sameLogin, iKeyValue, assistant) %>
      <%= bdPopedom.listPopedomButton2(iFormID, isBarManager_SESSION, sameLogin, iKeyValue, assistant) %>
      <%=sRelateInfo %>      
      <% if (!printTemp.equals("") && iFormID != 1384) { %>
      <a href="#" OnClick="javascript:PrintWinWord('<%=iKeyValue%>')">打印浏览</a><br>
      <% } %>
      <% if (hasFlow) { %>
      <a href="#" OnClick="javascript:FlowDetailWin('<%=iFlowID%>','<%=iKeyValue%>');">查看流程</a>
      <% } %>
      <% if (!sWeboffice.equals("")) { %>
      <a href="#" OnClick="javascript:OfficeDetailWin('<%=iKeyValue%>');">查看正文</a>
      <% } %>
      
      <!-- 特殊，增加会议的发送通知 -->
      <%
      	if (iFormID == 1247 && isBarManager_SESSION) {
      		out.println(SzPageHelp.operatorFunc("发通知","SendMeetingAlert('" + iKeyValue + "')"));
      		out.println("<br>");
      %>
      		<script language='javascript'">
      		function SendMeetingAlert(vKey) {
      			if (confirm("是否确定要发送会议通知？")) {
      				var vUrl = "../other/formAppend.jsp?FormID=<%=iFormID%>&KEY=" + vKey;
      				var vMessage = "发送成功";
      				var bFresh = true;
      				AJAX(vUrl, vMessage, bFresh);
      			}
      		}
      		</script>
			<%      		
      	}
      %>
      <a href="javascript:hideOperatorWin('div');">取消菜单</a>
   		</div>
   		</div>
   	</div>      
    </td>
  </tr>
<%
    }
    out.println(SzPageHelp.outIndexTableTr(i, SzProperties.I_PageSize, iListFieldLen));
%>
    
  </form>  
</table>  

<!-----下面的工具栏------>
<table width="100%">
  <form name="formPage" method="post">
  <input type="hidden" name="flowType" value="<%=flowType%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="txtSearchName" value="<%=sSearchName%>">
  <input type="hidden" name="txtSortField" value="<%=sSortField%>"> 
  <input type="hidden" name="txtSortOrder" value="<%=iSortOrder%>"> 
  <input type="hidden" name="FormID" value="<%=iFormID%>">   
  <tr>
    <td align="right">
      <%@ include file="/share/page/page_include.jsp"%>
    </td>
  </tr>
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="page" value="<%=iCurrentPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="txtSortField" value="<%=sSortField%>"> 
  <input type="hidden" name="txtSortOrder" value="<%=iSortOrder%>"> 
  <input type="hidden" name="FormID" value="<%=iFormID%>">   
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">
  function ExcelImportWin(vModule, vForm) {
		var url ="../../share/page/excel_import_win.jsp?module=" + vModule + "&formName=" + vForm;
		window.showModalDialog(url,window,"status=no;dialogWidth=580px;dialogHeight=350px");
  }
</script>  
<script language="javascript">
  //弹出窗口，选择人员。这里特定是流程里某个步骤的选择人员。
  function OpenPigonholeWin(vFormID, vInfoID) {
     hideOperatorWin("div");  
    var type = "all";
    var url = "../../flow/pigonhole/type_select.jsp?moduleId=23&FormID=" + vFormID + "&InfoID=" + vInfoID;
    window.showModalDialog(url,window,"status=no;dialogWidth=750px;dialogHeight=450px");
  }  
  function OpenPressWin(vFormID, vInfoID, vType) {
    hideOperatorWin("div");
    var type = "all";
    var url = "../../flow/press/win.jsp?FormID=" + vFormID + "&InfoID=" + vInfoID + "&type=" + vType;
    window.showModalDialog(url,window,"status=no;dialogWidth=650px;dialogHeight=300px");
  }   
  
  function SetPopedom() {
     hideOperatorWin("div");
    var vChkNumber = NumberOfCheck(formList.chkId);
    var vChkValue  = ValueOfCheck(formList.chkId);
    var url = "popedom/update.jsp?FormID=<%=iFormID%>&ChkNumber=" + vChkNumber + "&ChkValue=" + vChkValue;
    window.showModalDialog(url,window,"status=no;dialogWidth=700px;dialogHeight=550px");	
  }
  
  function SetPopedom2(vKeyValue) {
       hideOperatorWin("div");
    CheckCheckBox(formList.chkId, ";" + vKeyValue);
    var vChkNumber = "1";
    var vChkValue  = vKeyValue;
    var url = "popedom/update.jsp?FormID=<%=iFormID%>&ChkNumber=" + vChkNumber + "&ChkValue=" + vChkValue;
    window.showModalDialog(url,window,"status=no;dialogWidth=700px;dialogHeight=550px");	
  }  
  
  function ListPopedom() {
    hideOperatorWin("div");
    var vChkNumber = NumberOfCheck(formList.chkId);
    var vChkValue  = ValueOfCheck(formList.chkId);
    var url = "popedom/index.jsp?type=-1&FormID=<%=iFormID%>&ChkNumber=" + vChkNumber + "&ChkValue=" + vChkValue;
    window.showModalDialog(url,window,"status=no;dialogWidth=700px;dialogHeight=550px");	
  }  
  
  function ListPopedom2(vKeyValue) {
    hideOperatorWin("div");
    CheckCheckBox(formList.chkId, ";" + vKeyValue);
    var vChkNumber = "1";
    var vChkValue  = vKeyValue;
    var url = "popedom/index.jsp?type=-1&FormID=<%=iFormID%>&ChkNumber=" + vChkNumber + "&ChkValue=" + vChkValue;
    window.showModalDialog(url,window,"status=no;dialogWidth=700px;dialogHeight=550px");	
  }   
  
  function SetTransfer() {
     hideOperatorWin("div");     
    var vChkNumber = NumberOfCheck(formList.chkId);
    if (vChkNumber == 0) {
    	alert("请至少选择一条数据");
    	return;
    }
    var vChkValue  = ValueOfCheck(formList.chkId);
    var url = "popedom/transfer.jsp?FormID=<%=iFormID%>&ChkNumber=" + vChkNumber + "&ChkValue=" + vChkValue;
    window.showModalDialog(url,window,"status=no;dialogWidth=700px;dialogHeight=550px");	
  }
     
  function PrintWinWord(vKey) {
    var vUrl = "printTemp.jsp?FormID=<%=iFormID%>&KEY=" + vKey + "&type=0&printTemp=<%=printTemp%>";
  	window.open(vUrl,"","left=20,top=20,width=600,height=600");
  	//window.showModalDialog(vUrl,window,"status=no;dialogWidth=720px;dialogHeight=550px");
  	//window.showModalDialog(vUrl,window,"status=no;dialogWidth=720px;");
  }
  
  function FlowDetailWin(vFlowID, vKey) {
  	hideOperatorWin("div");
    var vUrl = "../../flow/flow/draft.jsp?type=" + vFlowID + "&FormID=<%=iFormID%>&InfoID=" + vKey + "&OPERATOR=detailWin"; 
  	//window.open(vUrl,"","left=20,top=20,width=600,height=600");
  	window.showModalDialog(vUrl,window,"status=no;dialogWidth=720px;dialogHeight=550px");
  }  
  function OfficeDetailWin(vKey) {
    hideOperatorWin("div");
    var vUrl = "documentEdit.jsp?WebOffice=<%=sWeboffice%>&FormID=<%=iFormID%>&KEY=" + vKey; 
  	//window.open(vUrl,"","left=20,top=20,width=600,height=600");
  	window.showModalDialog(vUrl,window,"status=no;dialogWidth=850px;dialogHeight=800px");
  } 
  function LogWin() {
    var vUrl = "../../share/other/logList.jsp?LogType=FORM&ModuleID=<%=iFormID%>";
  	window.open(vUrl,"","left=100,top=100,scrollbars=yes,resizable=yes,status=yes,width=800,height=700");  
  }        
</script>
